tourism_hub_cards_block:
  namespace: "Organisms/TM - Tourism hub"
  use: "@organisms/tm-th/tourism-hub-cards-block.twig"
  label: Cards block
  description: Cards block
  libraries:
    - tourism_hub_cards_block_lib:
        js:
          ../behaviors/tourism-hub.js: { }
        css:
          component:
            ../styles/tourism-hub.css: { }

  fields:
    header:
      type: text
      label: Header
      preview: 'Things to do near Aberdeen'
    more_link_text:
      type: text
      label: More link text
      preview: "More things to do"
    more_link_url:
      type: text
      label: More link URL
      preview: "/test"
    collapse_filters_name:
      type: text
      label: Filter collapse text
      preview: 'Filter by location'
    filters:
      type: object
      label: Tags
      description: Tags
      preview:
        - '<a href="?category=2" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Food, drink and shopping</a>'
        - '<a href="?category=3" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Sport</a>'
        - '<a href="?category=4" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">History and Culture</a>'
        - '<a href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Outdoors</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Family</a>'
    blocks:
      type: object
      label: Blocks
      description: Blocks
      preview:
        - img: '<img class="w-100" src="https://picsum.photos/560/320?rnd=a1" alt="Some alt text"></img>'
          title: 'Big ships are fun'
          block_link: '/'
          badge_type: 'region'
          badge_bottom: 'Aberdeen'
        - img: '<img class="w-100" src="https://picsum.photos/560/320?rnd=a2" alt="Some alt text"></img>'
          title: 'Trains to the beach'
          block_link: '/'
          badge_type: 'date'
          badge_top: 'From'
          badge_bottom: '16th Jun'
        - img: '<img class="w-100" src="https://picsum.photos/560/320?rnd=a3" alt="Some alt text"></img>'
          title: "Walk 'til you drop"
          block_link: '/'
          badge_type: 'offer'
          badge_top: '2FOR1<br>Admission'
          badge_bottom: '£14.50'
        - img: '<img class="w-100" src="https://picsum.photos/560/320?rnd=a1" alt="Some alt text"></img>'
          title: 'Big ships are fun'
          block_link: '/'
        - img: '<img class="w-100" src="https://picsum.photos/560/320?rnd=a2" alt="Some alt text"></img>'
          title: 'Trains to the beach'
          block_link: '/'
          badge_type: 'date'
          badge_top: 'From'
          badge_bottom: '16th Jun'
  settings:
    use_scroller:
      type: boolean
      label: Use scroller
      preview: true
    collapse_filters_open:
      type: boolean
      label: Filter open
      preview: true

tourism_hub_fares_block:
  namespace: "Organisms/TM - Tourism hub"
  use: "@organisms/tm-th/tourism-hub-fares-block.twig"
  label: Fares block
  description: Fares block
  libraries:
    - tourism_hub_fares_block_lib:
        css:
          component:
            ../styles/tourism-hub.css: { }

  fields:
    bg_image:
      type: text
      label: Background image
      preview: '<img class="th-fares-bg" src="https://picsum.photos/id/172/1800/721?rnd=a2">'
    header:
      type: text
      label: Header
      preview: 'Selected return fares to <strong>Aberdeen</strong> from'
    destination_crs:
      type: text
      label: Origin_crs
      preview: 'ABD'
    origins:
      type: object
      label: Origins
      preview:
        - station: 'Ballock'
          fare: '32.50'
          crs: 'BAL'
        - station: 'Loch Lommond'
          fare: '41.50'
          crs: 'LOC'
        - station: 'Edinburgh Waverly'
          fare: '6.00'
          crs: 'EDB'
        - station: 'Stirling'
          fare: '6.00'
          crs: 'STR'

  settings:
    in_content:
      type: boolean
      label: Displayed in content
      preview: false

tourism_hub_intro_block:
  namespace: "Organisms/TM - Tourism hub"
  use: "@organisms/tm-th/tourism-hub-intro-block.twig"
  label: Intro block
  description: Intro block
  libraries:
    - tourism_hub_intro_block_lib:
        css:
          component:
            ../styles/tourism-hub.css: { }

  fields:
    header:
      type: text
      label: Header
      preview: 'Aberdeen'
    text:
      type: text
      label: Text
      preview: 'Get the train to Aberdeen and arrive in the heart of Scotland’s third largest city. Explore its maritime history, try the seafood fresh from the North Sea, or go for a round of golf on the seafront. And with links to Orkney and Shetland by ferry – Aberdeen is the start of a great adventure by sea.'
    link:
      type: text
      label: Link
      preview: '<a href="" class="btn btn-custom-light px-3 py-2 border-2 rounded-1 btn-lg fw-bold">All about Aberdeen</a>'
    image:
      type: text
      label: Image
      preview: '<img class="w-100" src="https://picsum.photos/600/370?rnd=a2">'

tourism_hub_locations_block:
  namespace: "Organisms/TM - Tourism hub"
  use: "@organisms/tm-th/tourism-hub-locations-block.twig"
  label: Locations block
  description: Locations block
  libraries:
    - tourism_hub_locations_block_lib:
        css:
          component:
            ../styles/tourism-hub.css: { }

  fields:
    header:
      type: text
      label: Header
      preview: 'Top destinations'
    locations:
      type: object
      label: Locations
      preview:
        - name: 'Edinburgh'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a1">'
          url: '/'
        - name: 'Glasgow'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a2">'
          url: '/'
        - name: 'Aberdeen'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a3">'
          url: '/'
        - name: 'Dundee'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a4">'
          url: '/'
        - name: 'Inverness'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a5">'
          url: '/'
        - name: 'Dumfermline'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a6">'
          url: '/'
        - name: 'Perth'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a7">'
          url: '/'
        - name: 'Stirling'
          image: '<img class="w-100" src="https://picsum.photos/600/360?rnd=a8">'
          url: '/'

tourism_hub_region_selector_block:
  namespace: "Organisms/TM - Tourism hub"
  use: "@organisms/tm-th/tourism-hub-region-selector-block.twig"
  label: Region selector block
  description: Region selector block
  libraries:
    - tourism_hub_region_selector_block_lib:
        css:
          component:
            ../styles/tourism-hub.css: { }

  fields:
    region:
      type: text
      label: Region
      preview: "in Aberdeen"
    header:
      type: text
      label: Header
      preview: "I'm looking for ideas in..."
    bg_graphic:
      type: text
      label: Background image
      preview: '<img class="th-regions-graphic" src="images/hand-holding-ticket-illu.svg">'
    filters_tabcordion:
      type: object
      label: Filters accordion
      preview:
        pid: 'th-filter-accordion'
        wrapper_class: 'acw-c'
        child_link_class: 'aci-c-link'
        child_content_class: 'aci-c-content'
        toggle: 'chevron_close'
        list_prefix: "<h2 class='filter-header'>I'm looking for ideas </h2>"
        style: 'separated'
        absolute: true
        items:
          - pid: 'th-filter-accordion'
            aiid: 'area'
            label: 'in this area of Scotland'
            content: '<a href="?category=2" class="selected btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Aberdeen</a><a href="?category=3" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Argyll</a><a href="?category=4" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Ayrshire</a><a href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Borders</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Dundee</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Edinburgh & The Lothians</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Fife</a>'
          - pid: 'th-filter-accordion'
            aiid: 'category'
            label: 'in this category of interest'
            content: '<a href="?category=2" class="selected btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Aberdeen</a><a href="?category=3" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Argyll</a><a href="?category=4" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Ayrshire</a><a href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Borders</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Dundee</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Edinburgh & The Lothians</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Fife</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Glasgow & The Clyde Valley</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Loch Lomond & The Trossachs</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Perthshire</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Stirling & Forth Valley</a><a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">The Highlands</a>'
    items:
      type: object
      label: Tags
      description: Tags
      preview:
        - '<a href="?category=2" class="selected btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Aberdeen</a>'
        - '<a href="?category=3" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Argyll</a>'
        - '<a href="?category=4" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Ayrshire</a>'
        - '<a href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Borders</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Dundee</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Edinburgh & The Lothians</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Fife</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Glasgow & The Clyde Valley</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Loch Lomond & The Trossachs</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Perthshire</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Stirling & Forth Valley</a>'
        - '<a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">The Highlands</a>'
